Commit aedbd4061cb945d1c62e50c1e9dba84fc61afb4b

Authored by zhangxiaowen
1 parent 25d3a8d7

no message

CNLiveMineModule/Classes/Controller/CNLiveMineController.m
@@ -26,7 +26,7 @@ @@ -26,7 +26,7 @@
26 #import "CNLiveTaskListController.h" 26 #import "CNLiveTaskListController.h"
27 #import "CNLiveSignInView.h" 27 #import "CNLiveSignInView.h"
28 28
29 -@interface CNLiveMineController()<UITableViewDelegate, UITableViewDataSource, CNLiveMineHeaderViewDelegate, CNLiveMineCellDelegate,CNLiveSignInViewDelegate> 29 +@interface CNLiveMineController()<UITableViewDelegate, UITableViewDataSource, CNLiveMineHeaderViewDelegate, CNLiveMineCellDelegate>
30 @property (nonatomic, strong) UITableView *tableView; 30 @property (nonatomic, strong) UITableView *tableView;
31 @property (nonatomic, weak) CNLiveMineHeaderView *headerView; 31 @property (nonatomic, weak) CNLiveMineHeaderView *headerView;
32 @property (nonatomic, strong) CNLiveMineNavigationBar *navigationBar; 32 @property (nonatomic, strong) CNLiveMineNavigationBar *navigationBar;
@@ -159,21 +159,20 @@ static const NSInteger kHEIGHT = 250; @@ -159,21 +159,20 @@ static const NSInteger kHEIGHT = 250;
159 [self.navigationController pushViewController:vc animated:YES]; 159 [self.navigationController pushViewController:vc animated:YES];
160 } 160 }
161 break; 161 break;
162 - case CNLiveMineHeaderViewTypeWintess: 162 + case CNLiveMineHeaderViewTypeSign:
163 { 163 {
164 - 164 + id<CNLiveIntegralServiceProtocol> service = [[BeeHive shareInstance] createService:@protocol(CNLiveIntegralServiceProtocol)];
  165 + [service showSignInViewWithScore:@"asd" scores:@"312" day:2 url:@"http://www.baidu.com"];
  166 +// [CNLiveSignInView showWithScore:@"asd" scores:@"312" day:1 url:@"http://www.baidu.com"];
165 } 167 }
166 break; 168 break;
167 - case CNLiveMineHeaderViewTypeSign: 169 + case CNLiveMineHeaderViewTypeWintess:
168 { 170 {
169 - [CNLiveSignInView showSignInView:@"asd" scores:@"312" day:1 url:@"asd" delegate:self]; 171 +
170 } 172 }
171 break; 173 break;
172 } 174 }
173 } 175 }
174 -- (void)clickedrRulesButton:(CNLiveSignInView *)view{  
175 -  
176 -}  
177 176
178 - (void)scrollViewDidScroll:(UIScrollView *)scrollView { 177 - (void)scrollViewDidScroll:(UIScrollView *)scrollView {
179 CGPoint point = scrollView.contentOffset; 178 CGPoint point = scrollView.contentOffset;
Example/CNLiveMineModule.xcodeproj/project.pbxproj
@@ -229,7 +229,7 @@ @@ -229,7 +229,7 @@
229 6003F586195388D20070C39A /* Sources */, 229 6003F586195388D20070C39A /* Sources */,
230 6003F587195388D20070C39A /* Frameworks */, 230 6003F587195388D20070C39A /* Frameworks */,
231 6003F588195388D20070C39A /* Resources */, 231 6003F588195388D20070C39A /* Resources */,
232 - DFCE8E9B555773C3DDB56144 /* [CP] Embed Pods Frameworks */, 232 + 99C363EEF6A14DCC1038EC13 /* [CP] Embed Pods Frameworks */,
233 ); 233 );
234 buildRules = ( 234 buildRules = (
235 ); 235 );
@@ -320,51 +320,7 @@ @@ -320,51 +320,7 @@
320 /* End PBXResourcesBuildPhase section */ 320 /* End PBXResourcesBuildPhase section */
321 321
322 /* Begin PBXShellScriptBuildPhase section */ 322 /* Begin PBXShellScriptBuildPhase section */
323 - A9B5D0EFC5B6FCA241FAE929 /* [CP] Check Pods Manifest.lock */ = {  
324 - isa = PBXShellScriptBuildPhase;  
325 - buildActionMask = 2147483647;  
326 - files = (  
327 - );  
328 - inputFileListPaths = (  
329 - );  
330 - inputPaths = (  
331 - "${PODS_PODFILE_DIR_PATH}/Podfile.lock",  
332 - "${PODS_ROOT}/Manifest.lock",  
333 - );  
334 - name = "[CP] Check Pods Manifest.lock";  
335 - outputFileListPaths = (  
336 - );  
337 - outputPaths = (  
338 - "$(DERIVED_FILE_DIR)/Pods-CNLiveMineModule_Example-checkManifestLockResult.txt",  
339 - );  
340 - runOnlyForDeploymentPostprocessing = 0;  
341 - shellPath = /bin/sh;  
342 - shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n # print error to STDERR\n echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n";  
343 - showEnvVarsInLog = 0;  
344 - };  
345 - BFE3DD8ECDF347EE483385B5 /* [CP] Check Pods Manifest.lock */ = {  
346 - isa = PBXShellScriptBuildPhase;  
347 - buildActionMask = 2147483647;  
348 - files = (  
349 - );  
350 - inputFileListPaths = (  
351 - );  
352 - inputPaths = (  
353 - "${PODS_PODFILE_DIR_PATH}/Podfile.lock",  
354 - "${PODS_ROOT}/Manifest.lock",  
355 - );  
356 - name = "[CP] Check Pods Manifest.lock";  
357 - outputFileListPaths = (  
358 - );  
359 - outputPaths = (  
360 - "$(DERIVED_FILE_DIR)/Pods-CNLiveMineModule_Tests-checkManifestLockResult.txt",  
361 - );  
362 - runOnlyForDeploymentPostprocessing = 0;  
363 - shellPath = /bin/sh;  
364 - shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n # print error to STDERR\n echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n";  
365 - showEnvVarsInLog = 0;  
366 - };  
367 - DFCE8E9B555773C3DDB56144 /* [CP] Embed Pods Frameworks */ = { 323 + 99C363EEF6A14DCC1038EC13 /* [CP] Embed Pods Frameworks */ = {
368 isa = PBXShellScriptBuildPhase; 324 isa = PBXShellScriptBuildPhase;
369 buildActionMask = 2147483647; 325 buildActionMask = 2147483647;
370 files = ( 326 files = (
@@ -426,6 +382,50 @@ @@ -426,6 +382,50 @@
426 shellScript = "\"${PODS_ROOT}/Target Support Files/Pods-CNLiveMineModule_Example/Pods-CNLiveMineModule_Example-frameworks.sh\"\n"; 382 shellScript = "\"${PODS_ROOT}/Target Support Files/Pods-CNLiveMineModule_Example/Pods-CNLiveMineModule_Example-frameworks.sh\"\n";
427 showEnvVarsInLog = 0; 383 showEnvVarsInLog = 0;
428 }; 384 };
  385 + A9B5D0EFC5B6FCA241FAE929 /* [CP] Check Pods Manifest.lock */ = {
  386 + isa = PBXShellScriptBuildPhase;
  387 + buildActionMask = 2147483647;
  388 + files = (
  389 + );
  390 + inputFileListPaths = (
  391 + );
  392 + inputPaths = (
  393 + "${PODS_PODFILE_DIR_PATH}/Podfile.lock",
  394 + "${PODS_ROOT}/Manifest.lock",
  395 + );
  396 + name = "[CP] Check Pods Manifest.lock";
  397 + outputFileListPaths = (
  398 + );
  399 + outputPaths = (
  400 + "$(DERIVED_FILE_DIR)/Pods-CNLiveMineModule_Example-checkManifestLockResult.txt",
  401 + );
  402 + runOnlyForDeploymentPostprocessing = 0;
  403 + shellPath = /bin/sh;
  404 + shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n # print error to STDERR\n echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n";
  405 + showEnvVarsInLog = 0;
  406 + };
  407 + BFE3DD8ECDF347EE483385B5 /* [CP] Check Pods Manifest.lock */ = {
  408 + isa = PBXShellScriptBuildPhase;
  409 + buildActionMask = 2147483647;
  410 + files = (
  411 + );
  412 + inputFileListPaths = (
  413 + );
  414 + inputPaths = (
  415 + "${PODS_PODFILE_DIR_PATH}/Podfile.lock",
  416 + "${PODS_ROOT}/Manifest.lock",
  417 + );
  418 + name = "[CP] Check Pods Manifest.lock";
  419 + outputFileListPaths = (
  420 + );
  421 + outputPaths = (
  422 + "$(DERIVED_FILE_DIR)/Pods-CNLiveMineModule_Tests-checkManifestLockResult.txt",
  423 + );
  424 + runOnlyForDeploymentPostprocessing = 0;
  425 + shellPath = /bin/sh;
  426 + shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n # print error to STDERR\n echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n";
  427 + showEnvVarsInLog = 0;
  428 + };
429 /* End PBXShellScriptBuildPhase section */ 429 /* End PBXShellScriptBuildPhase section */
430 430
431 /* Begin PBXSourcesBuildPhase section */ 431 /* Begin PBXSourcesBuildPhase section */